<?php
if ( ! class_exists( 'MPG_Premium', false ) ) {
	class MPG_Premium {
		function set_basename( $status, $file ) {
		}
		function is_premium() {
			return apply_filters( str_replace( '-', '_', basename( dirname( MPG_BASENAME ) ) ) . '_license_status', '' ) === 'valid';
		}

		function get_upgrade_url() {
			return 'https://themeisle.com/plugins/multi-pages-generator/#pricing';
		}

		/**
		 * Upgrade notice.
		 */
		function upgrade_notice() {
			echo esc_html__( 'Your current free plan is limited to 1 project and every page generated has a branding label saying &quot;Generated by MPG&quot;. Schedule source import is also a PRO feature.', 'mpg' );
		}
	}

	function mpg_app() {
		return ( new MPG_Premium() );
	}
}
add_action( 'wp_loaded', function () {
	if ( ! mpg_app()->is_premium() ) {
		add_filter( 'plugin_row_meta', function ( $links_array, $plugin_file_name, $plugin_data, $status ) {

			if ( strpos( $plugin_file_name, basename( MPG_BASENAME ) ) !== false ) {
				$links_array[] = '<a style="color: #dba617;" href="' . mpg_app()->get_upgrade_url() . '">Upgrade</a>';
			}

			return $links_array;
		}, 10, 4 );

		add_action( 'admin_menu',
			function () {
				global $submenu;
				$menu_slug               = "mpg-dataset-library";
				$submenu[ $menu_slug ][] = array(
					'<b style="color:#dba617;">Upgrade</b>',
					'manage_options',
					mpg_app()->get_upgrade_url()
				);
			} );
	}
} );
mpg_run();